PCONFIG(1)

NAME
pconfig - configuration querying utility

SYNOPSIS

pconfig [-h] [--version] [--debug] [-q] [-v] [--color BOOLEAN] [--add-config SECTION KEY VALUE] [--new-config SECTION KEY VALUE] [--empty-config] [--config PATH] {classes,describe_class,uncollapsable,dump,configurables,dump-uncollapsed,package,world} ...

BASE OPTIONS

-h, --help
    Show this help message and exit. To get more information see the related man page.

--version
    Show this program's version information and exit.

    When running from within a git repo or a version installed from git the latest commit hash and date will be shown.

--debug
    Enable debug checks and show verbose debug output.

-q, --quiet
    Suppress non-error, informational messages.

-v, --verbose
    Increase the verbosity of various output.

--color BOOLEAN
    Toggle colored output support. This can be used to forcibly enable color support when piping output or other sitations where stdout is not a tty.

CONFIG OPTIONS

--add-config SECTION KEY VALUE
    modify existing pkgcore config section

--new-config SECTION KEY VALUE
    add new pkgcore config section

--empty-config
    skip loading user/system pkgcore config

--config PATH
    use custom pkgcore config file

SUBCOMMANDS

configuration related subcommands

  pconfig classes - list all classes referenced by the config

  Synopsis

pconfig classes [-h] [--debug] [-q] [-v] [--color BOOLEAN]

  Base Options

-h, --help
    Show this help message and exit. To get more information see the related man page.

--debug
    Enable debug checks and show verbose debug output.

-q, --quiet
    Suppress non-error, informational messages.

-v, --verbose
    Increase the verbosity of various output.

--color BOOLEAN
    Toggle colored output support. This can be used to forcibly enable color support when piping output or other sitations where stdout is not a tty.

  pconfig describe_class - describe the arguments a class needs, how to use it in a config

  Synopsis

pconfig describe_class [-h] [--debug] [-q] [-v] [--color BOOLEAN] target_class

  Positional Arguments

target_class
    The class to inspect and output details about

  Base Options

-h, --help
    Show this help message and exit. To get more information see the related man page.

--debug
    Enable debug checks and show verbose debug output.

-q, --quiet
    Suppress non-error, informational messages.

-v, --verbose
    Increase the verbosity of various output.

--color BOOLEAN
    Toggle colored output support. This can be used to forcibly enable color support when piping output or other sitations where stdout is not a tty.

  pconfig uncollapsable - show configuration objects that could not be collapsed/instantiated

  Synopsis

pconfig uncollapsable [-h] [--debug] [-q] [-v] [--color BOOLEAN]

  Base Options

-h, --help
    Show this help message and exit. To get more information see the related man page.

--debug
    Enable debug checks and show verbose debug output.

-q, --quiet
    Suppress non-error, informational messages.

-v, --verbose
    Increase the verbosity of various output.

--color BOOLEAN
    Toggle colored output support. This can be used to forcibly enable color support when piping output or other sitations where stdout is not a tty.

  pconfig dump - dump the entire configuration

  Synopsis

pconfig dump [-h] [--debug] [-q] [-v] [--color BOOLEAN] [typename]

  Positional Arguments

typename
    if specified, limit output to just config directives of this type (defaults to showing all types)

  Base Options

-h, --help
    Show this help message and exit. To get more information see the related man page.

--debug
    Enable debug checks and show verbose debug output.

-q, --quiet
    Suppress non-error, informational messages.

-v, --verbose
    Increase the verbosity of various output.

--color BOOLEAN
    Toggle colored output support. This can be used to forcibly enable color support when piping output or other sitations where stdout is not a tty.

  pconfig configurables - list registered configurables (may not be complete)

  Synopsis

pconfig configurables [-h] [--debug] [-q] [-v] [--color BOOLEAN] [typename]

  Positional Arguments

typename
    if specified, only output configurables of that type; else output all configurables

  Base Options

-h, --help
    Show this help message and exit. To get more information see the related man page.

--debug
    Enable debug checks and show verbose debug output.

-q, --quiet
    Suppress non-error, informational messages.

-v, --verbose
    Increase the verbosity of various output.

--color BOOLEAN
    Toggle colored output support. This can be used to forcibly enable color support when piping output or other sitations where stdout is not a tty.

  pconfig dump-uncollapsed - dump the configuration in a raw, uncollapsed form

  Synopsis

pconfig dump-uncollapsed [-h] [--debug] [-q] [-v] [--color BOOLEAN]

  Base Options

-h, --help
    Show this help message and exit. To get more information see the related man page.

--debug
    Enable debug checks and show verbose debug output.

-q, --quiet
    Suppress non-error, informational messages.

-v, --verbose
    Increase the verbosity of various output.

--color BOOLEAN
    Toggle colored output support. This can be used to forcibly enable color support when piping output or other sitations where stdout is not a tty.

  pconfig package - invoke a packages custom configuration scripts

  Synopsis

pconfig package [--domain DOMAIN] [-h] [--debug] [-q] [-v] [--color BOOLEAN] query [query ...]

  Positional Arguments

query
    restrictions/atoms; matching installed packages will be configured

  Config Options

--domain DOMAIN
    custom pkgcore domain to use for this operation

  Base Options

-h, --help
    Show this help message and exit. To get more information see the related man page.

--debug
    Enable debug checks and show verbose debug output.

-q, --quiet
    Suppress non-error, informational messages.

-v, --verbose
    Increase the verbosity of various output.

--color BOOLEAN
    Toggle colored output support. This can be used to forcibly enable color support when piping output or other sitations where stdout is not a tty.

  pconfig world - inspect and modify the world file

  Synopsis

pconfig world [--domain DOMAIN] [-h] [--debug] [-q] [-v] [--color BOOLEAN] [-l] [-r REMOVE] [-a ADD]

  Config Options

--domain DOMAIN
    custom pkgcore domain to use for this operation

  Base Options

-h, --help
    Show this help message and exit. To get more information see the related man page.

--debug
    Enable debug checks and show verbose debug output.

-q, --quiet
    Suppress non-error, informational messages.

-v, --verbose
    Increase the verbosity of various output.

--color BOOLEAN
    Toggle colored output support. This can be used to forcibly enable color support when piping output or other sitations where stdout is not a tty.

  Command Modes

These options are directives for what to do with the world file. You can do multiple operations in a single invocation. For example, you can have --add x11-wm/fluxbox --remove gnome-base/gnome -l to add fluxbox, remove gnome, and list the world file contents all in one call.

-l, --list
    List the current world file contents for this domain.

-r REMOVE, --remove REMOVE
    Remove an entry from the world file. Can be specified multiple times.

-a ADD, --add ADD
    Add an entry to the world file. Can be specified multiple times.

COPYRIGHT
2006-2019, pkgcore contributors